Name:           perl-Mail-Sendmail
Version:        0.79
Release:        0.fdr.5.2
Epoch:          0
Summary:        Simple platform independent mailer for Perl

License:        Distributable
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Mail-Sendmail/
Source0: http://www.cpan.org/authors/id/M/MI/MIVKOVIC/Mail-Sendmail-0.79.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl
# Not picked up automatically.
Requires:       perl(MIME::QuotedPrint)

%description
Mail::Sendmail is a simple platform independent library for sending
e-mail from your perl script.  It only requires Perl 5 and a network
connection.  Mail::Sendmail contains mainly &sendmail, which takes a
hash with the message to send and sends it. It is intended to be very
easy to setup and use.


%prep
%setup -q -n Mail-Sendmail-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install \
  PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
  INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_archlib}
find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
# We don't want to send the test mail -> no make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README Sendmail.html Todo
%{_libdir}/perl*/*
%{_mandir}/man3/*.3*


%changelog
* Tue Jan 13 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.79-0.fdr.5
- Fix License and %%description (#65).

* Wed Oct 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.79-0.fdr.4
- Specfile cleanup.

* Sun Aug 31 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.79-0.fdr.3
- Install into vendor dirs.

* Sun May  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.79-0.fdr.2
- Own more dirs.
- Save .spec in UTF-8.

* Sat Mar 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.79-0.fdr.1
- Update to current Fedora guidelines.

* Sun Feb  9 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.79-1.fedora.1
- First Fedora release.
